/*
 * @(#)59    1.1  src/pdwebrte/azn/eaidemo/EAIDemo/JavaSource/com/tivoli/am/eb/web/localresponsedemo/LocalResponseRedirectConstants.java, pdweb.ws.authn.eai, amwebrte610, 071017a  8/20/04  16:50:16
 * ===========================================================================
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2004 All Rights Reserved.
 * ===========================================================================
 *
 */
package com.tivoli.am.eb.web.localresponsedemo;

/**
 * Class of constants for WebSEAL's redirect operations.
 * 
 * @author Tivoli Systems
 */
public abstract class LocalResponseRedirectConstants {

    /**
     * The query string parameter stating the operation WebSEAL needs
     * the local response module to handle.
     */
    public static final String TAM_OPERATION = "TAM_OP";


    // define constants for TAM_OPs   
    /**
     * The user chose to log out.
     */
    public static final String RESPONSE_OP_LOGOUT = "logout";


    /**
     * The user chose to change her password.
     */
    public static final String RESPONSE_OP_PASSWD = "passwd";


    /**
     * User's account is invalid.
     */
    public static final String RESPONSE_OP_ACCT_LOCKED = "acct_locked";


    /**
     * User's password is expired.
     */
    public static final String RESPONSE_OP_PASSWD_EXP = "passwd_exp";


    /**
     * User's password change was successful.
     */
    public static final String RESPONSE_OP_PASSWD_REP_SUCCESS =
        "passwd_rep_success";


    /**
     * User's password change failed.
     */
    public static final String RESPONSE_OP_PASSWD_REP_FAILURE =
        "passwd_rep_failure";


    /**
     * User performed an action that makes no sense, like logging out while
     * logged in using BA.
     */
    public static final String RESPONSE_OP_HELP = "help";


    /**
     * User needs to authenticate.
     */
    public static final String RESPONSE_OP_LOGIN = "login";


    /**
     * User successfully authenticated, but there's no last cached url to
     * redirect to.
     */
    public static final String RESPONSE_OP_LOGIN_SUCCESS = "login_success";


    /**
     * User must login using token authentication.
     */
    public static final String RESPONSE_OP_TOKEN_LOGIN = "token_login";


    /**
     * User must login with a certificate.
     */
    public static final String RESPONSE_OP_CERT_LOGIN = "cert_login";


    /**
     * User must input next token information.
     */
    public static final String RESPONSE_OP_NEXT_TOKEN = "next_token";


    /**
     * User requested the switch user page.
     */
    public static final String RESPONSE_OP_SWITCH_USER = "switch_user";


    /**
     * User's certificate is invalid.
     */
    public static final String RESPONSE_OP_FAILED_CERT = "failed_cert";


    /**
     * User tried to step up to certificates over http (not allowed).
     */
    public static final String RESPONSE_OP_CERT_STEPUP_HTTP =
        "cert_stepup_http";


    /**
     * User must step up to another authentication level (check the AUTHNLEVEL
     * macro to see which auth level is required).
     */
    public static final String RESPONSE_OP_STEPUP_LOGIN_ERROR = "stepup";


    /**
     * EAI information returned to WebSEAL is invalid.
     */
    public static final String RESPONSE_OP_EAI_AUTH_ERROR = "eai_auth_error";

    
    /**
     * The user has too many active sessions.
     */
    public static final String RESPONSE_OP_TOO_MANY_SESSIONS = "too_many_sessions";

    /**
     * An error occurred. Check the ERROR_CODE macro.
     */
    public static final String RESPONSE_OP_ERROR = "error";


    // define constants for local response redirect macros
    /**
     * The username of the currently logged in user, "unauthenticated" if no
     * user is currently logged in.
     */
    public static final String MACRO_USERNAME = "USERNAME";


    /**
     * The hex value of the error code. Cross-reference with the Error Message
     * Guide for specifics about the error.
     */
    public static final String MACRO_ERROR_CODE = "ERROR_CODE";


    /**
     * The HTTP method used for the request.
     */
    public static final String MACRO_METHOD = "METHOD";


    /**
     * The URL of the resource the user was trying to request.
     */
    public static final String MACRO_URL = "URL";


    /**
     * The referring URL.
     */
    public static final String MACRO_REFERER = "REFERER";


    /**
     * The host name from the host header, or the fully qualified host name of
     * the WebSEAL system if the header does not exist.
     */
    public static final String MACRO_HOSTNAME = "HOSTNAME";


    /**
     * The required authentication level.
     */
    public static final String MACRO_AUTHNLEVEL = "AUTHNLEVEL";


    /**
     * The reason of failure, if known.
     */
    public static final String MACRO_FAILREASON = "FAILREASON";


    /**
     * The protocol of the request (http or https).
     */
    public static final String MACRO_PROTOCOL = "PROTOCOL";
}
